<?php
  include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("Funciones.php");
  include("funcion/funciones.php");
  session_start();
  session_register('charlas');
  $objPer=new clsPer;
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<script language="JavaScript"> 
<!--
//sURL,x,y
function Abrir_Ventanapopup1(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//-->

function Abrir_Ventanapopup2(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
} 
</script>
<? 
$envia="fondo.php?k=$k&razonsocial=$razonsocial&distrito=$distrito";
$envia1="cvp_personal.php";
?>
<script>
function volverB(form)
{
location.reload('<? echo $envia1 ?>');
}
function volver(form)
{
location.reload('<? echo $envia ?>');
}
var vent = null;
function foco() {
   if (vent != null)
       vent.focus();
}
function cerrar() {
   vent = null;
}

</script>
<script language="JavaScript">
function selecciona(form)
{
 if(form.botones1.value)
  {
   form.zonasi.disabled=true;
  }
}

function cierra(form)
{
location.reload('../ventana.php');
}
function activainter(form)
{
   form.pais2.disabled=false;
   form.ciudad2.disabled=false;
   form.nacionalidad2.disabled=false;
   form.btn_ver2.disabled=false;
   form.btn_nuevo2.disabled=false;
   
   form.pais.value="";
   form.pais.disabled=true;
   form.ciudad.value="";
   form.ciudad.disabled=true;
   form.nacionalidad.value="";
   form.nacionalidad.disabled=true;
   form.idciudad1.value="";
   form.btn_ver1.disabled=true;
   form.btn_nuevo1.disabled=true;
}
</script>
<SCRIPT LANGUAGE=javascript>
function fn(form,field)
{
var next=0, found=false
var f=form
if(event.keyCode!=13) return;
for(var i=0;i<f.length;i++) {
if(field.name==f.item(i).name){
next=i+1;
found=true
break;
}
}
while(found){
if( f.item(next).disabled==false && f.item(next).type!='hidden'){
f.item(next).focus();
break;
}
else{
if(next<f.length-1)
next=next+1;
else
break;
}
}
}
</SCRIPT>
<script>
   function Enviar()
{
     var doc_id = window.document.form1.doc_id.value;
   	 var tipo_cap = window.document.form1.tipo_cap.value;
     var fecha_char = window.document.form1.fecha_char.value;
     var tema_char = window.document.form1.tema_char.value;
     var resp_char = window.document.form1.resp_char.value;
   	 var lugar_charl = window.document.form1.lugar_charl.value;
	 var expo_char = window.document.form1.expo_char.value;
	 var cod_emp = window.document.form1.cod_emp.value;
	 if (form1.person.value==""){
     alert("No Eligió un personal");
	 form1.btn_buscar.focus();
	 return;
      }
  else{window.location ="procesos/cvp_personal_agregarItem.php?doc_id="+doc_id+"&valor="+tipo_cap+"&fecha_char="+fecha_char+"&tema_char="+tema_char+"&resp_char="+resp_char+"&lugar_charl="+lugar_charl+"&expo_char="+expo_char+"&cod_emp="+cod_emp;}

}

function Enviarse(){

if(form1.nombre.value==""){
	    return;
		    }
else{	form1.submit();};
               }
</script>
<script>
function Datos(clave){
	 var doc_id = window.document.form1.doc_id.value;
   	 var tipo_cap = window.document.form1.tipo_cap.value;
     var fecha_char = window.document.form1.fecha_char.value;
     var tema_char = window.document.form1.tema_char.value;
     var resp_char = window.document.form1.resp_char.value;
   	 var lugar_charl = window.document.form1.lugar_charl.value;
	 var expo_char = window.document.form1.expo_char.value;
	 var cod_emp = window.document.form1.cod_emp.value;
	 window.location="procesos/cvp_borrarItem_pers_char.php?clave="+clave+"&doc_id="+doc_id+"&valor="+tipo_cap+"&fecha_char="+fecha_char+"&tema_char="+tema_char+"&resp_char="+resp_char+"&lugar_charl="+lugar_charl+"&expo_char="+expo_char+"&cod_emp="+cod_emp;
     }
</script>
<script>
function poner_imagen()
{
imagen1=new Image;
imagen1.src=document.form1.foto.value;
document.imagenes['foto'].src=imagen1.src;
}
</script>
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<style type="text/css">
<!--
.Estilo1 {color: #0000FF}
-->
</style>
</head>

<body bgcolor="<?=$c_fondo['fondo']?>" onfocus="foco()" background="../imagenes/fondo.jpg" onLoad="document.form1.nombre.focus();">
<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<table width="740" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr valign="top" >
    <td height="25" colspan="4">
    <div align="left" ></div></td>
  </tr>
  <tr class="lblCampo" >
    <td colspan="4"><div align="center">
        <form name="form1" method="post" action="cvp_charlas_repor_pers.php" enctype="multipart/form-data">
          <table width="730" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="25"><img src="../estilo_tabla/parte_sup_izq.gif" width="25" height="25"></td>
              <td width="680" background="../estilo_tabla/parte_sup_cen.gif" valign="bottom">
                <div align="left" class="lblTitulo" > <strong>CONSULTAR - REGISTRO DE ASISTENCIA A CHARLAS HSEQ-CR </strong> - PERSONAL BARRETT </div></td>
              <td width="25"><img src="../estilo_tabla/parte_sup_der.gif" width="25" height="25" border="0" usemap="#Map"></td>
            </tr>
            <tr>
              <td  background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
              <td  height="86" background="../estilo_tabla/parte_med_cen.gif"><div align="center">
                  <table width="700" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="679">
					    <div align="center">
					      <table width="700" border="0" cellpadding="0" cellspacing="0">
                              <tr>
                                <td width="190"><div align="center">
                                  <FIELDSET>
                                  <LEGEND class="lblSubTitulo"></LEGEND>
                                  
                                </FIELDSET>
                                </div></td>
                                <td>&nbsp;</td>
                                <td width="128" class="rdoBanners">&nbsp;</td>
                                <td width="19" class="rdoBanners">&nbsp;</td>
                                <td width="69" class="rdoBanners">&nbsp;</td>
                                <td width="63">&nbsp;</td>
                                <td width="109"><div align="center">
                                </div></td>
                              </tr>
                            <tr>
                              <td width="190" rowspan="2"><span class="lblSubTitulo">Buscar Capacitaci&oacute;n</span></td>
                              <td width="174"><div align="left"><span class="lblParrafo">
  <input name="opcion" type="radio" class="in" value="1" checked <?php if($opcion=="1"){echo"checked";} else echo""?>>
  Por Persona</span></div></td>
                              <td colspan="4" rowspan="2"><input name="nombre" type="text" id="nombre" value="<?=$nombre?>" size="50"></td>
                              <td width="109" rowspan="2"><input name="btn_buscar" type="button" style="<?=$stylo['st2']?>" class="botira" value=".:   Buscar   :." onClick="Enviarse()"></td>
                            </tr>
                            <tr>
                              <td><div align="left"><span class="lblParrafo">
                                  <input name="opcion" type="radio" class="in" value="2" <?php if($opcion=="2")echo"checked"; else echo""?>>
  Por Doc Id. </span></div></td>
                            </tr>
                            <tr>
                              <td colspan="7"><hr align="left" size="1" color="#000000"></td>
                            </tr>
                            <tr>
                              <td colspan="7">
                              <table width="800" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="<?=$bordetabla?>" bgcolor="<?=$c_fondo['fondo tabla']?>" style="<?=$stylo['tabla']?>">
                                <tr bordercolor="#00CC00" bgcolor="#2F8523">
                                  <td width="80" class="rdoBanners"><div align="center">Fecha de Charla</div></td>
                                  <td width="173" class="rdoBanners"><div align="center">Personal</div></td>
                                  <td width="103" class="rdoBanners"><div align="center">Doc. Identidad </div></td>
                                  <td width="103" class="rdoBanners"><div align="center">Tipo de Capacitaci&oacute;n</div></td>
                                  <td width="118" class="rdoBanners"><div align="center">TEMA</div></td>
                                  <td width="43" class="rdoBanners"><div align="center">Lugar</div></td>
                                  <td width="50" class="rdoBanners">Imprimir</td>
                                  <td width="50" class="rdoBanners"><div align="center">Archivo</div></td>
                                </tr>
                                <?php 
								$registros=10;
								if(!isset($paginas)){
												$inicio = 0; 
												$paginas=1;
												}
								else{
										$inicio= ($paginas -1) * $registros;
									}
 								
								
								
								if($opcion=="1"){
								             $result = $objPer->DevolverCharlasDetaDato($nombre);
											 $totalregistros = $objPer->totalrows($result);
											 $result = $objPer->DevolverCharlasDetaDatoPag($nombre,$inicio,$registros);
											 $totalpaginas = ceil($totalregistros/$registros);
											 }
								if($opcion=="2"){
											$result = $objPer->DevolverCharlasDetaDOCID($nombre);
											$totalregistros = $objPer->totalrows($result);
											$result = $objPer->DevolverCharlasDetaDOCIDPag($nombre,$inicio,$registros);
											$totalpaginas = ceil($totalregistros/$registros);
											}
								if(!isset($opcion)){
											$result = $objPer->DevolverCharlasDeta($ok);
											$totalregistros = $objPer->totalrows($result);
											$result = $objPer->DevolverCharlasDetaPag($inicio,$registros);
											//$totalpaginas = ceil($totalregistros/$registros);
								  			}
								while($registro=$objPer->NextRow($result)){
								 ?>
                                <tr>
                                  <td class="lblReporte"><?=extraerfechanormal($registro['fecha_charla'])?></td>
                                  <td align="left" class="lblReporte"><?=$registro['appat_per']." ".$registro['apmat_per']." ".$registro['nom_per']?></td>
                                  <td align="center" class="lblReporte"><?=$registro['cod_id']?></td>
                                  <td align="left" class="lblReporte"><?=$registro['tipo_cap']?></td>
                                  <td class="lblReporte"><?=$registro['tema_charla']?></td>
                                  <td class="lblReporte"><?=$registro['lugar_charla']?></td>
                                  <td><div align="center"><a href="#"><img src="../imagenes/imprimir.gif" width="18" height="15" border="0" onClick="javascript:Abrir_Ventanapopup2('cvp_reporte_charla.php?cod_charla=<?=$registro['cod_charla']?>',800,850)"></a></div></td>
                                  <td><div align="center"><?php 
								  							 if ($registro['archivo']==NULL){
															    echo "<img src='../imagenes/iconojpggris.gif' width='18' height='15' border='0'>"; 
															  }
															else {echo "<a href='procesos/bajando_archivo_char.php?arch=".$registro['archivo']."'><img src='../imagenes/iconojpg.gif' width='18' height='15' border='0'></a>";}																
														   ?></div></td>
                                </tr>
								<?php } $objPer->Liberar($result);?>
                               </table> 
                              </iframe></td>
                            </tr>
                            <tr>
                              <td colspan="7">          
                              <div align="left" class="rdoBanners">Pagina<?=" ".($paginas)." de ".$totalpaginas;?></div></td>
                            </tr>
                            <tr>
                              <td colspan="7" align="center" class="rdoBanners"><?php if($result){
							  				if(($paginas - 1) > 0) {
											echo "<a href='".$PHP_SELF."?paginas=".($paginas-1)."&opcion=$opcion&nombre=$nombre'>< Anterior</a> ";
																	}
											for ($i=1; $i<=$totalpaginas; $i++){ 
													if ($paginas == $i) {
														echo "<b><font color='#000066'>[".$paginas."]</font></b> "; 
													} else {
														echo "<a href='".$PHP_SELF."?paginas=$i&opcion=$opcion&nombre=$nombre'>[$i]</a>"; 
													}	
												}
											  
												if(($paginas + 1)<=$totalpaginas) {
													echo " <a href='".$PHP_SELF."?paginas=".($paginas+1)."&opcion=$opcion&nombre=$nombre'>Siguiente ></a>";
												}
											   }
							  
							?>                              </td>
                            </tr>
                          </table>
			          </div></td>
                    </tr>
                </table>
              </div></td>
              <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
            </tr>
            <tr>
              <td><img src="../estilo_tabla/parte_inf_izq.gif" width="25" height="25"></td>
              <td background="../estilo_tabla/parte_inf_cen.gif">&nbsp;</td>
              <td><img src="../estilo_tabla/parte_inf_der.gif" width="25" height="25"></td>
            </tr>
          </table>
        </form>
    </div></td>
  </tr>
  <tr valign="top" class="lblCampo" >
    <td colspan="4">
    <div align="center"> </div></td>
  </tr>
<map name="Map">
  <area shape="rect" coords="3,4,23,21" href="fondo.php">
</map>
</body>
</html>